de.esprit.common.type

## Enum JavaDataType

- java.lang.Object
- - java.lang.Enum<JavaDataType>
  - - de.esprit.common.type.JavaDataType

- All Implemented Interfaces:
    BinaryDataType, java.io.Serializable, java.lang.Comparable<JavaDataType>

      public enum JavaDataType
      extends java.lang.Enum<JavaDataType>
      implements BinaryDataType

  This class defines the available Java data types and their sizes in bytes.
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN`
    `BYTE`
    `CHAR`
    `DOUBLE`
    `FLOAT`
    `INT`
    `LONG`
    `SHORT`
    `STRING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JavaDataType` | `fromString(java.lang.String typeStr)`
    `int` | `getByteCount()` Returns the size of data in bytes.
    `int` | `getByteCount(int numValues)` Counts the storage area for the given number of values of this type.
    `java.lang.Class` | `getTypeClass()`
    `java.lang.String` | `getTypeName()`
    `boolean` | `isNumeric()`
    `java.lang.String` | `toString()`
    `static JavaDataType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static JavaDataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOOLEAN

          public static final JavaDataType BOOLEAN

    - #### BYTE

          public static final JavaDataType BYTE

    - #### SHORT

          public static final JavaDataType SHORT

    - #### INT

          public static final JavaDataType INT

    - #### LONG

          public static final JavaDataType LONG

    - #### FLOAT

          public static final JavaDataType FLOAT

    - #### DOUBLE

          public static final JavaDataType DOUBLE

    - #### CHAR

          public static final JavaDataType CHAR

    - #### STRING

          public static final JavaDataType STRING

  - ### Method Detail

    - #### values

          public static JavaDataType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JavaDataType c : JavaDataType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JavaDataType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getByteCount

          public int getByteCount()

      Description copied from interface: `BinaryDataType`
      Returns the size of data in bytes.
      Specified by:
        `getByteCount` in interface `BinaryDataType`

    - #### getByteCount

          public int getByteCount(int numValues)

      Description copied from interface: `BinaryDataType`
      Counts the storage area for the given number of values of this type.
      Specified by:
        `getByteCount` in interface `BinaryDataType`

    - #### getTypeClass

          public java.lang.Class getTypeClass()

    - #### getTypeName

          public java.lang.String getTypeName()

    - #### fromString

          public static JavaDataType fromString(java.lang.String typeStr)

    - #### isNumeric

          public boolean isNumeric()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<JavaDataType>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.